### Function

# Soup header_parse_param_list

#### Declaration [src]

    GHashTable*
    soup_header_parse_param_list (
      const char* header
    )

#### Description [src]

Parses a header which is a comma-delimited list of something like: `token [ "=" ( token | quoted-string ) ]`.

Tokens that don’t have an associated value will still be added to the resulting hash table, but with a `NULL` value.

This also handles RFC5987 encoding (which in HTTP is mostly used for giving UTF8-encoded filenames in the Content-Disposition header).

#### Parameters

`header` | `const char*`
| A header value.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GHashTable`
| A `GHashTable` of list elements, which can be freed with `soup_header_free_param_list()`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.